curl --request POST \
--url https://api.messaging.phonovation.com/ccaas/2/conversation-forms/triggers \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "AJ Queue",
"expression": {
"$neq": {
"queue": "AJ Queue"
}
},
"isEnabled": true,
"formId": "75f57446-1d65-478a-87ed-22d17dc3d077"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/2/conversation-forms/triggers"
payload = {
"title": "AJ Queue",
"expression": { "$neq": { "queue": "AJ Queue" } },
"isEnabled": True,
"formId": "75f57446-1d65-478a-87ed-22d17dc3d077"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/2/conversation-forms/triggers");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"title\": \"AJ Queue\",\n \"expression\": {\n \"$neq\": {\n \"queue\": \"AJ Queue\"\n }\n },\n \"isEnabled\": true,\n \"formId\": \"75f57446-1d65-478a-87ed-22d17dc3d077\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/ccaas/2/conversation-forms/triggers")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"AJ Queue\",\n \"expression\": {\n \"$neq\": {\n \"queue\": \"AJ Queue\"\n }\n },\n \"isEnabled\": true,\n \"formId\": \"75f57446-1d65-478a-87ed-22d17dc3d077\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/2/conversation-forms/triggers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'AJ Queue',
'expression' => [
'$neq' => [
'queue' => 'AJ Queue'
]
],
'isEnabled' => true,
'formId' => '75f57446-1d65-478a-87ed-22d17dc3d077'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'AJ Queue',
expression: {$neq: {queue: 'AJ Queue'}},
isEnabled: true,
formId: '75f57446-1d65-478a-87ed-22d17dc3d077'
})
};
fetch('https://api.messaging.phonovation.com/ccaas/2/conversation-forms/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "b3695d3c-6415-4bdd-82fc-07f9309933ec",
"title": "AJ Queue",
"expression": {
"$neq": {
"queue": "AJ Queue"
}
},
"orderIndex": 0,
"isEnabled": true,
"formId": "75f57446-1d65-478a-87ed-22d17dc3d077",
"timesTriggered": 0
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Required request body is missing or not valid."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Invalid id 75f57446-1d65-478a-87ed-22d17dc3d077 given! No such form exists."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Create trigger
The create trigger method creates a new trigger at the first order position in the existing setup. Triggers are used to assign proper form to a conversation, based on an expression. Every expression can be constructed with at least one or more available operators. The result of the expression will be a success (TRUE) only if all results of operations are TRUE. Order of triggers is essential in the form assignment process, as triggers are match the provided order. First trigger matching the conversation will be used. More info
Required scope: Enable one of: conversations:manage.
curl --request POST \
--url https://api.messaging.phonovation.com/ccaas/2/conversation-forms/triggers \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "AJ Queue",
"expression": {
"$neq": {
"queue": "AJ Queue"
}
},
"isEnabled": true,
"formId": "75f57446-1d65-478a-87ed-22d17dc3d077"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/2/conversation-forms/triggers"
payload = {
"title": "AJ Queue",
"expression": { "$neq": { "queue": "AJ Queue" } },
"isEnabled": True,
"formId": "75f57446-1d65-478a-87ed-22d17dc3d077"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/2/conversation-forms/triggers");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"title\": \"AJ Queue\",\n \"expression\": {\n \"$neq\": {\n \"queue\": \"AJ Queue\"\n }\n },\n \"isEnabled\": true,\n \"formId\": \"75f57446-1d65-478a-87ed-22d17dc3d077\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/ccaas/2/conversation-forms/triggers")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"AJ Queue\",\n \"expression\": {\n \"$neq\": {\n \"queue\": \"AJ Queue\"\n }\n },\n \"isEnabled\": true,\n \"formId\": \"75f57446-1d65-478a-87ed-22d17dc3d077\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/2/conversation-forms/triggers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'AJ Queue',
'expression' => [
'$neq' => [
'queue' => 'AJ Queue'
]
],
'isEnabled' => true,
'formId' => '75f57446-1d65-478a-87ed-22d17dc3d077'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'AJ Queue',
expression: {$neq: {queue: 'AJ Queue'}},
isEnabled: true,
formId: '75f57446-1d65-478a-87ed-22d17dc3d077'
})
};
fetch('https://api.messaging.phonovation.com/ccaas/2/conversation-forms/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "b3695d3c-6415-4bdd-82fc-07f9309933ec",
"title": "AJ Queue",
"expression": {
"$neq": {
"queue": "AJ Queue"
}
},
"orderIndex": 0,
"isEnabled": true,
"formId": "75f57446-1d65-478a-87ed-22d17dc3d077",
"timesTriggered": 0
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Required request body is missing or not valid."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Invalid id 75f57446-1d65-478a-87ed-22d17dc3d077 given! No such form exists."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Body
Response
OK